> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getreditus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Show Subscription (Deprecating)

> Show data for a subscription



## OpenAPI

````yaml GET /v1/subscriptions/{id}
openapi: 3.1.0
info:
  title: Reditus API - Subscriptions - (Deprecating)
  description: API specification for managing subscriptions in Reditus. (Deprecating)
  version: 1.0.0
servers:
  - url: https://api.getreditus.com/api
security: []
paths:
  /v1/subscriptions/{id}:
    get:
      summary: Get Subscription
      description: Show data for a subscription
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            description: Subscription ID
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubscriptionResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    SubscriptionResponse:
      type: object
      properties:
        data:
          type: object
          properties:
            id:
              type: string
            type:
              type: string
            attributes:
              type: object
              properties:
                interval:
                  type: string
                interval_count:
                  type: integer
                status:
                  type: string
                original_amount:
                  type: integer
                original_currency:
                  type: string
                mrr:
                  type: integer
                amount:
                  type: integer
                currency:
                  type: string
                created_at:
                  type: integer
                updated_at:
                  type: integer
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````